Page MenuHomePhabricator

"KeyError: u'ik'" when processing langlinks in -wiktionary mode
Closed, DuplicatePublic

Description

I'm afraid I don't have much info on this except for the outcome.

pwb.py interwiki -wiktionary -async -auto -cleanup -pt:1 -namespace:0 -cat:!Entrada_(Polonês)

[........]
[........]
Retrieving 50 pages from wiktionary:cy.
NOTE: [[cy:Liechtenstein]] does not exist. Skipping.
NOTE: [[cy:liga]] does not exist. Skipping.
NOTE: [[cy:limfocyt]] does not exist. Skipping.
NOTE: [[cy:limnologia]] does not exist. Skipping.
NOTE: [[cy:limona]] does not exist. Skipping.
NOTE: [[cy:lipa]] does not exist. Skipping.
NOTE: [[cy:lipiec]] does not exist. Skipping.
NOTE: [[cy:lisica]] does not exist. Skipping.
NOTE: [[cy:lista]] does not exist. Skipping.
NOTE: [[cy:listopad]] does not exist. Skipping.
NOTE: [[cy:liszajec]] does not exist. Skipping.
NOTE: [[cy:litera]] does not exist. Skipping.
NOTE: [[cy:literatura]] does not exist. Skipping.
NOTE: [[cy:litografia]] does not exist. Skipping.
NOTE: [[cy:liturgia]] does not exist. Skipping.
NOTE: [[cy:Litwa]] does not exist. Skipping.
NOTE: [[cy:livermorium]] does not exist. Skipping.
NOTE: [[cy:loch]] does not exist. Skipping.
NOTE: [[cy:lorens]] does not exist. Skipping.
NOTE: [[cy:lot]] does not exist. Skipping.
NOTE: [[cy:loteria]] does not exist. Skipping.
NOTE: [[cy:lotnisko]] does not exist. Skipping.
NOTE: [[cy:Ludowa Republika Bangladeszu]] does not exist. Skipping.
NOTE: [[cy:lufa]] does not exist. Skipping.
NOTE: [[cy:lupa]] does not exist. Skipping.
NOTE: [[cy:lura]] does not exist. Skipping.
NOTE: [[cy:lutet]] does not exist. Skipping.
NOTE: [[cy:ma]] does not exist. Skipping.
NOTE: [[cy:Macedonia]] does not exist. Skipping.
NOTE: [[cy:magia]] does not exist. Skipping.
NOTE: [[cy:magma]] does not exist. Skipping.
NOTE: [[cy:magnetyzm]] does not exist. Skipping.
NOTE: [[cy:magnez]] does not exist. Skipping.
NOTE: [[cy:major]] does not exist. Skipping.
NOTE: [[cy:mala]] does not exist. Skipping.
NOTE: [[cy:malaria]] does not exist. Skipping.
NOTE: [[cy:Malediwy]] does not exist. Skipping.
NOTE: [[cy:Malezja]] does not exist. Skipping.
NOTE: [[cy:Mali]] does not exist. Skipping.
NOTE: [[cy:malina]] does not exist. Skipping.
NOTE: [[cy:mandala]] does not exist. Skipping.
NOTE: [[cy:Manfred]] does not exist. Skipping.
NOTE: [[cy:mango]] does not exist. Skipping.
NOTE: [[cy:manicure]] does not exist. Skipping.
NOTE: [[cy:mara]] does not exist. Skipping.
Retrieving 50 pages from wiktionary:ay.
Dump pt (wiktionary) appended.
Traceback (most recent call last):
  File "C:\Work\pywikipedia\pwb.py", line 239, in <module>
    if not main():
  File "C:\Work\pywikipedia\pwb.py", line 233, in main
    run_python_file(filename, [filename] + args, argvu, file_package)
  File "C:\Work\pywikipedia\pwb.py", line 111, in run_python_file
    main_mod.__dict__)
  File ".\scripts\interwiki.py", line 2641, in <module>
    main()
  File ".\scripts\interwiki.py", line 2616, in main
    bot.run()
  File ".\scripts\interwiki.py", line 2360, in run
    self.queryStep()
  File ".\scripts\interwiki.py", line 2333, in queryStep
    self.oneQuery()
  File ".\scripts\interwiki.py", line 2323, in oneQuery
    for page in gen:
  File "C:\Work\pywikipedia\pywikibot\site.py", line 2886, in preloadpages
    api.update_page(page, pagedata, rvgen.props)
  File "C:\Work\pywikipedia\pywikibot\data\api.py", line 3080, in update_page
    source=page.site)
  File "C:\Work\pywikipedia\pywikibot\page.py", line 5089, in langlinkUnsafe
    ns = link._site.namespaces.lookup_name(ns)
  File "C:\Work\pywikipedia\pywikibot\site.py", line 879, in namespaces
    self._namespaces = NamespacesDict(self._build_namespaces())
  File "C:\Work\pywikipedia\pywikibot\site.py", line 2338, in _build_namespaces
    is_mw114 = MediaWikiVersion(self.version()) >= MediaWikiVersion('1.14')
  File "C:\Work\pywikipedia\pywikibot\site.py", line 2445, in version
    version = self.siteinfo.get('generator', expiry=1).split(' ')[1]
  File "C:\Work\pywikipedia\pywikibot\site.py", line 1468, in get
    preloaded = self._get_general(key, expiry)
  File "C:\Work\pywikipedia\pywikibot\site.py", line 1414, in _get_general
    default_info = self._get_siteinfo(props, expiry)
  File "C:\Work\pywikipedia\pywikibot\site.py", line 1340, in _get_siteinfo
    data = request.submit()
  File "C:\Work\pywikipedia\pywikibot\data\api.py", line 2288, in submit
    self._data = super(CachedRequest, self).submit()
  File "C:\Work\pywikipedia\pywikibot\data\api.py", line 1886, in submit
    self.site.is_oauth_token_available()):  # work around T108182
  File "C:\Work\pywikipedia\pywikibot\site.py", line 1799, in is_oauth_token_ava
ilable
    auth_token = get_authentication(self.base_url(''))
  File "C:\Work\pywikipedia\pywikibot\site.py", line 747, in <lambda>
    f = lambda *args, **kwargs: method(self.code, *args, **kwargs)
  File "C:\Work\pywikipedia\pywikibot\family.py", line 1064, in base_url
    host = self.ssl_hostname(code)
  File "C:\Work\pywikipedia\pywikibot\family.py", line 1041, in ssl_hostname
    return self.hostname(code)
  File "C:\Work\pywikipedia\pywikibot\family.py", line 1037, in hostname
    return self.langs[code]
KeyError: u'ik'
<type 'exceptions.KeyError'>
CRITICAL: Closing network session.

I will try to find out what page is causing the problem...

Event Timeline

Malafaya created this task.Aug 27 2015, 6:21 PM
Malafaya raised the priority of this task from to Medium.
Malafaya updated the task description. (Show Details)
Malafaya added a subscriber: Malafaya.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 6:21 PM

pwb.py version

Pywikibot: [https] r-pywikibot-core.git (51f7a89, g6271, 2015/08/27, 01:04:28, ok)
Release version: 2.0b3
requests version: 2.7.0
  cacerts: C:\Program Files\Python27\lib\site-packages\requests\cacert.pem
    certificate test: ok
Python: 2.7.10 (default, May 23 2015, 09:44:00) [MSC v.1500 64 bit (AMD64)]
PYWIKIBOT2_DIR: Not set
PYWIKIBOT2_DIR_PWB: C:\Work\pywikipedia
PYWIKIBOT2_NO_USER_CONFIG: Not set
Config base dir: C:\Work\pywikipedia
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: pywikibot-bugs-list. · View Herald TranscriptAug 27 2015, 6:51 PM
XZise added a subscriber: XZise.Aug 27 2015, 7:12 PM

Might be related to T74674 because ik.wiktionary.org is an obsolete wiktionary and it tries to contact it but that is not possible.

2015-08-27 22:28:49            site.py, 2859 in       preloadpages: INFO     Retrieving 20 pages from wiktionary:ay.
2015-08-27 22:28:49        throttle.py,   84 in  checkMultiplicity: DEBUG    Checking multiplicity: pid = 10
2015-08-27 22:28:49        throttle.py,  140 in  checkMultiplicity: VERBOSE  Found 1 wiktionary:ay processes running, including this one.
2015-08-27 22:28:49             api.py, 1964 in             submit: DEBUG    API response received from wiktionary:ay:
{"batchcomplete":"","query":{"pageids":["-1","-2","-3","-4","-5","-6","-7","-8","-9","-10","-11","-12","-13","-14","-15","-16","-17","-18","-19","2693"],"pages":{"-1":{"ns":0,"title":"malina","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-2":{"ns":0,"title":"Malezja","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-3":{"ns":0,"title":"marzec","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-4":{"ns":0,"title":"masa","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-5":{"ns":0,"title":"mediana","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-6":{"ns":0,"title":"Marcin","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-7":{"ns":0,"title":"mas\u0142o","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-8":{"ns":0,"title":"matula","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-9":{"ns":0,"title":"mapa","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-10":{"ns":0,"title":"Malta","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-11":{"ns":0,"title":"matka","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-12":{"ns":0,"title":"marina","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-13":{"ns":0,"title":"mango","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-14":{"ns":0,"title":"Mateusz","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-15":{"ns":0,"title":"manicure","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-16":{"ns":0,"title":"Mali","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-17":{"ns":0,"title":"Manfred","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-18":{"ns":0,"title":"materac","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"-19":{"ns":0,"title":"mandala","missing":"","contentmodel":"wikitext","pagelanguage":"ay"},"2693":{"pageid":2693,"ns":0,"title":"mara","revisions":[{"revid":11005,"parentid":10361,"user":"Sarvaturi","timestamp":"2015-08-04T21:43:01Z","comment":"","contentformat":"text/x-wiki","contentmodel":"wikitext","*":"{{-ay-}}\n{{-noun-}}\n'''mara'''\n\n{{-trans-}}\n:*{{scn}}: [[annu]]\n:*{{it}}: [[anno]]\n:*{{es}}: [[a\u00f1o]]\n:*{{fr}}: [[ann\u00e9e]], [[an]]\n:*{{en}}: [[year]]\n\n[[ar:mara]]\n[[az:mara]]\n[[ca:mara]]\n[[chr:mara]]\n[[el:mara]]\n[[en:mara]]\n[[es:mara]]\n[[et:mara]]\n[[fi:mara]]\n[[fj:mara]]\n[[fr:mara]]\n[[hu:mara]]\n[[id:mara]]\n[[is:mara]]\n[[ko:mara]]\n[[ku:mara]]\n[[la:mara]]\n[[li:mara]]\n[[lt:mara]]\n[[mg:mara]]\n[[mt:mara]]\n[[nl:mara]]\n[[pl:mara]]\n[[pt:mara]]\n[[ro:mara]]\n[[ru:mara]]\n[[sh:mara]]\n[[sk:mara]]\n[[sv:mara]]\n[[tr:mara]]\n[[zh:mara]]"}],"contentmodel":"wikitext","pagelanguage":"ay","touched":"2015-08-04T21:44:26Z","lastrevid":11005,"length":523,"templates":[{"ns":10,"title":"Plantilla:-ay-"},{"ns":10,"title":"Plantilla:-noun-"},{"ns":10,"title":"Plantilla:-trans-"},{"ns":10,"title":"Plantilla:en"},{"ns":10,"title":"Plantilla:es"},{"ns":10,"title":"Plantilla:fr"},{"ns":10,"title":"Plantilla:it"},{"ns":10,"title":"Plantilla:scn"}],"langlinks":[{"lang":"af","*":"Sjabloon:en"},{"lang":"an","*":"Plantilla:en"},{"lang":"ang","*":"Bysen:en"},{"lang":"ar","*":"\u0642\u0627\u0644\u0628:en"},{"lang":"ast","*":"Plant\u00eda:en"},{"lang":"az","*":"\u015eablon:en"},{"lang":"be","*":"\u0428\u0430\u0431\u043b\u043e\u043d:en"},{"lang":"bg","*":"\u0428\u0430\u0431\u043b\u043e\u043d:en"},{"lang":"bn","*":"\u099f\u09c7\u09ae\u09aa\u09cd\u09b2\u09c7\u099f:en"},{"lang":"br","*":"Patrom:en"},{"lang":"ca","*":"Plantilla:en"},{"lang":"chr","*":"Template:en"},{"lang":"co","*":"Template:en"},{"lang":"cs","*":"\u0160ablona:en"},{"lang":"cy","*":"Nodyn:en"},{"lang":"da","*":"Skabelon:en"},{"lang":"de","*":"Vorlage:en"},{"lang":"dv","*":"\u078a\u07a6\u0782\u07b0\u0788\u07a6\u078c\u07b0:en"},{"lang":"el","*":"\u03a0\u03c1\u03cc\u03c4\u03c5\u03c0\u03bf:en"},{"lang":"en","*":"Template:en"},{"lang":"eo","*":"\u015cablono:en"},{"lang":"es","*":"Plantilla:en"},{"lang":"et","*":"Mall:en"},{"lang":"eu","*":"Txantiloi:en"},{"lang":"fa","*":"\u0627\u0644\u06af\u0648:en"},{"lang":"fi","*":"Malline:en"},{"lang":"fj","*":"mara"},{"lang":"fo","*":"Fyrimynd:en"},{"lang":"fr","*":"Mod\u00e8le:en"},{"lang":"fy","*":"Berjocht:en"},{"lang":"ga","*":"Teimpl\u00e9ad:en"},{"lang":"gd","*":"Teamplaid:en"},{"lang":"gl","*":"Modelo:en"},{"lang":"gn","*":"Tembiechar\u00e3:en"},{"lang":"gu","*":"\u0aa2\u0abe\u0a82\u0a9a\u0acb:en"},{"lang":"gv","*":"Clowan:en"},{"lang":"hi","*":"\u0938\u093e\u0901\u091a\u093e:en"},{"lang":"hr","*":"Predlo\u017eak:en"},{"lang":"hsb","*":"P\u0159ed\u0142oha:en"},{"lang":"hu","*":"Sablon:en"},{"lang":"hy","*":"\u053f\u0561\u0572\u0561\u057a\u0561\u0580:en"},{"lang":"ia","*":"Patrono:en"},{"lang":"id","*":"Templat:en"},{"lang":"ik","*":"Template:en"},{"lang":"is","*":"Sni\u00f0:en"},{"lang":"it","*":"Template:en"},{"lang":"iu","*":"Template:en"},{"lang":"jbo","*":"Template:en"},{"lang":"jv","*":"Cithakan:en"},{"lang":"ka","*":"\u10d7\u10d0\u10e0\u10d2\u10d8:en"},{"lang":"kk","*":"\u04ae\u043b\u0433\u0456:en"},{"lang":"kl","*":"Ilisserut:en"},{"lang":"km","*":"\u1791\u17c6\u1796\u17d0\u179a\u1782\u17c6\u179a\u17bc:en"},{"lang":"kn","*":"\u0c9f\u0cc6\u0c82\u0caa\u0ccd\u0cb2\u0cc7\u0c9f\u0cc1:en"},{"lang":"ko","*":"\ud2c0:en"},{"lang":"ks","*":"Template:en"},{"lang":"ku","*":"\u015eablon:en"},{"lang":"ky","*":"\u041a\u0430\u043b\u044b\u043f:en"},{"lang":"la","*":"Formula:en"},{"lang":"li","*":"mara"},{"lang":"ln","*":"Mod\u00e8le:en"},{"lang":"lo","*":"\u0ec1\u0ea1\u0ec8\u0ec1\u0e9a\u0e9a:en"},{"lang":"lt","*":"\u0160ablonas:en"},{"lang":"lv","*":"Veidne:en"},{"lang":"mg","*":"Endrika:en"},{"lang":"mk","*":"\u0428\u0430\u0431\u043b\u043e\u043d:en"},{"lang":"ml","*":"\u0d2b\u0d32\u0d15\u0d02:en"},{"lang":"mn","*":"\u0417\u0430\u0433\u0432\u0430\u0440:en"},{"lang":"ms","*":"Templat:lang:en"},{"lang":"mt","*":"Mudell:en"},{"lang":"my","*":"Template:en"},{"lang":"na","*":"Template:en"},{"lang":"nah","*":"Nemachiy\u014dt\u012blli:en"},{"lang":"nds","*":"V\u00f6rlaag:en"},{"lang":"ne","*":"\u0922\u093e\u0901\u091a\u093e:en"},{"lang":"nl","*":"mara"},{"lang":"nn","*":"Mal:en"},{"lang":"no","*":"Mal:en"},{"lang":"oc","*":"Mod\u00e8l:en"},{"lang":"om","*":"Template:en"},{"lang":"pl","*":"mara"},{"lang":"ps","*":"\u06a9\u064a\u0646\u0689\u06cd:en"},{"lang":"pt","*":"Predefini\u00e7\u00e3o:en"},{"lang":"qu","*":"Plantilla:en"},{"lang":"ro","*":"Format:en"},{"lang":"roa-rup","*":"Template:en"},{"lang":"ru","*":"\u0428\u0430\u0431\u043b\u043e\u043d:-en-"},{"lang":"rw","*":"Template:en"},{"lang":"sa","*":"\u092b\u0932\u0915\u092e\u094d:en"},{"lang":"scn","*":"Template:en"},{"lang":"sd","*":"\u0633\u0627\u0646\u0686\u0648:en"},{"lang":"sg","*":"Mod\u00e8le:en"},{"lang":"sh","*":"\u0160ablon:en"},{"lang":"si","*":"\u0dc3\u0dd0\u0d9a\u0dd2\u0dbd\u0dca\u0dbd:en"},{"lang":"sk","*":"\u0160abl\u00f3na:en"},{"lang":"sl","*":"Predloga:en"},{"lang":"sm","*":"Template:en"},{"lang":"so","*":"Template:en"},{"lang":"sq","*":"Stampa:en"},{"lang":"sr","*":"\u0428\u0430\u0431\u043b\u043e\u043d:en"},{"lang":"su","*":"Citakan:en"},{"lang":"sv","*":"Mall:en"},{"lang":"sw","*":"Kigezo:en"},{"lang":"ta","*":"\u0bb5\u0bbe\u0bb0\u0bcd\u0baa\u0bcd\u0baa\u0bc1\u0bb0\u0bc1:en"},{"lang":"te","*":"\u0c2e\u0c42\u0c38:en"},{"lang":"tg","*":"\u0428\u0430\u0431\u043b\u043e\u043d:en"},{"lang":"th","*":"\u0e41\u0e21\u0e48\u0e41\u0e1a\u0e1a:en"},{"lang":"ti","*":"Template:en"},{"lang":"tk","*":"\u015eablon:en"},{"lang":"tl","*":"Suleras:en"},{"lang":"tn","*":"Template:en"},{"lang":"tpi","*":"Template:en"},{"lang":"tr","*":"\u015eablon:en"},{"lang":"ug","*":"\u0642\u06d0\u0644\u0649\u067e:en"},{"lang":"uk","*":"\u0428\u0430\u0431\u043b\u043e\u043d:lang-en"},{"lang":"ur","*":"\u0633\u0627\u0646\u0686\u06c1:en"},{"lang":"uz","*":"Andoza:en"},{"lang":"vo","*":"Samafomot:en"},{"lang":"wa","*":"Modele:en"},{"lang":"wo","*":"Royuwaay:en"},{"lang":"za","*":"\u6a21\u677f:en"},{"lang":"zh","*":"Template:en"},{"lang":"zu","*":"Template:en"}]}},"userinfo":{"id":1432,"name":"MalafayaBot"}}}
2015-08-27 22:28:49             api.py, 2699 in           __iter__: DEBUG    PropertyGenerator received [u'-11', u'-17', u'-10', u'2693', u'-18', u'-16', u'-13', u'-5', u'-4', u'-7', u'-6', u'-1', u'-12', u'-3', u'-2', u'-19', u'-15', u'-9', u'-8', u'-14']; limit=-1
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'malina'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'Malezja'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'marzec'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'masa'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'mediana'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'Marcin'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'mas\u0142o'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'matula'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'mapa'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'Malta'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'matka'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'marina'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'mango'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'Mateusz'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'manicure'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'Mali'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'Manfred'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'materac'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'contentmodel': u'wikitext', u'ns': 0, u'pagelanguage': u'ay', u'missing': u'', u'title': u'mandala'}
2015-08-27 22:28:49            site.py, 2861 in       preloadpages: DEBUG    Preloading {u'templates': [{u'ns': 10, u'title': u'Plantilla:-ay-'}, {u'ns': 10, u'title': u'Plantilla:-noun-'}, {u'ns': 10, u'title': u'Plantilla:-trans-'}, {u'ns': 10, u'title': u'Plantilla:en'}, {u'ns': 10, u'title': u'Plantilla:es'}, {u'ns': 10, u'title': u'Plantilla:fr'}, {u'ns': 10, u'title': u'Plantilla:it'}, {u'ns': 10, u'title': u'Plantilla:scn'}], u'lastrevid': 11005, u'pageid': 2693, u'langlinks': [{u'lang': u'af', u'*': u'Sjabloon:en'}, {u'lang': u'an', u'*': u'Plantilla:en'}, {u'lang': u'ang', u'*': u'Bysen:en'}, {u'lang': u'ar', u'*': u'\u0642\u0627\u0644\u0628:en'}, {u'lang': u'ast', u'*': u'Plant\xeda:en'}, {u'lang': u'az', u'*': u'\u015eablon:en'}, {u'lang': u'be', u'*': u'\u0428\u0430\u0431\u043b\u043e\u043d:en'}, {u'lang': u'bg', u'*': u'\u0428\u0430\u0431\u043b\u043e\u043d:en'}, {u'lang': u'bn', u'*': u'\u099f\u09c7\u09ae\u09aa\u09cd\u09b2\u09c7\u099f:en'}, {u'lang': u'br', u'*': u'Patrom:en'}, {u'lang': u'ca', u'*': u'Plantilla:en'}, {u'lang': u'chr', u'*': u'Template:en'}, {u'lang': u'co', u'*': u'Template:en'}, {u'lang': u'cs', u'*': u'\u0160ablona:en'}, {u'lang': u'cy', u'*': u'Nodyn:en'}, {u'lang': u'da', u'*': u'Skabelon:en'}, {u'lang': u'de', u'*': u'Vorlage:en'}, {u'lang': u'dv', u'*': u'\u078a\u07a6\u0782\u07b0\u0788\u07a6\u078c\u07b0:en'}, {u'lang': u'el', u'*': u'\u03a0\u03c1\u03cc\u03c4\u03c5\u03c0\u03bf:en'}, {u'lang': u'en', u'*': u'Template:en'}, {u'lang': u'eo', u'*': u'\u015cablono:en'}, {u'lang': u'es', u'*': u'Plantilla:en'}, {u'lang': u'et', u'*': u'Mall:en'}, {u'lang': u'eu', u'*': u'Txantiloi:en'}, {u'lang': u'fa', u'*': u'\u0627\u0644\u06af\u0648:en'}, {u'lang': u'fi', u'*': u'Malline:en'}, {u'lang': u'fj', u'*': u'mara'}, {u'lang': u'fo', u'*': u'Fyrimynd:en'}, {u'lang': u'fr', u'*': u'Mod\xe8le:en'}, {u'lang': u'fy', u'*': u'Berjocht:en'}, {u'lang': u'ga', u'*': u'Teimpl\xe9ad:en'}, {u'lang': u'gd', u'*': u'Teamplaid:en'}, {u'lang': u'gl', u'*': u'Modelo:en'}, {u'lang': u'gn', u'*': u'Tembiechar\xe3:en'}, {u'lang': u'gu', u'*': u'\u0aa2\u0abe\u0a82\u0a9a\u0acb:en'}, {u'lang': u'gv', u'*': u'Clowan:en'}, {u'lang': u'hi', u'*': u'\u0938\u093e\u0901\u091a\u093e:en'}, {u'lang': u'hr', u'*': u'Predlo\u017eak:en'}, {u'lang': u'hsb', u'*': u'P\u0159ed\u0142oha:en'}, {u'lang': u'hu', u'*': u'Sablon:en'}, {u'lang': u'hy', u'*': u'\u053f\u0561\u0572\u0561\u057a\u0561\u0580:en'}, {u'lang': u'ia', u'*': u'Patrono:en'}, {u'lang': u'id', u'*': u'Templat:en'}, {u'lang': u'ik', u'*': u'Template:en'}, {u'lang': u'is', u'*': u'Sni\xf0:en'}, {u'lang': u'it', u'*': u'Template:en'}, {u'lang': u'iu', u'*': u'Template:en'}, {u'lang': u'jbo', u'*': u'Template:en'}, {u'lang': u'jv', u'*': u'Cithakan:en'}, {u'lang': u'ka', u'*': u'\u10d7\u10d0\u10e0\u10d2\u10d8:en'}, {u'lang': u'kk', u'*': u'\u04ae\u043b\u0433\u0456:en'}, {u'lang': u'kl', u'*': u'Ilisserut:en'}, {u'lang': u'km', u'*': u'\u1791\u17c6\u1796\u17d0\u179a\u1782\u17c6\u179a\u17bc:en'}, {u'lang': u'kn', u'*': u'\u0c9f\u0cc6\u0c82\u0caa\u0ccd\u0cb2\u0cc7\u0c9f\u0cc1:en'}, {u'lang': u'ko', u'*': u'\ud2c0:en'}, {u'lang': u'ks', u'*': u'Template:en'}, {u'lang': u'ku', u'*': u'\u015eablon:en'}, {u'lang': u'ky', u'*': u'\u041a\u0430\u043b\u044b\u043f:en'}, {u'lang': u'la', u'*': u'Formula:en'}, {u'lang': u'li', u'*': u'mara'}, {u'lang': u'ln', u'*': u'Mod\xe8le:en'}, {u'lang': u'lo', u'*': u'\u0ec1\u0ea1\u0ec8\u0ec1\u0e9a\u0e9a:en'}, {u'lang': u'lt', u'*': u'\u0160ablonas:en'}, {u'lang': u'lv', u'*': u'Veidne:en'}, {u'lang': u'mg', u'*': u'Endrika:en'}, {u'lang': u'mk', u'*': u'\u0428\u0430\u0431\u043b\u043e\u043d:en'}, {u'lang': u'ml', u'*': u'\u0d2b\u0d32\u0d15\u0d02:en'}, {u'lang': u'mn', u'*': u'\u0417\u0430\u0433\u0432\u0430\u0440:en'}, {u'lang': u'ms', u'*': u'Templat:lang:en'}, {u'lang': u'mt', u'*': u'Mudell:en'}, {u'lang': u'my', u'*': u'Template:en'}, {u'lang': u'na', u'*': u'Template:en'}, {u'lang': u'nah', u'*': u'Nemachiy\u014dt\u012blli:en'}, {u'lang': u'nds', u'*': u'V\xf6rlaag:en'}, {u'lang': u'ne', u'*': u'\u0922\u093e\u0901\u091a\u093e:en'}, {u'lang': u'nl', u'*': u'mara'}, {u'lang': u'nn', u'*': u'Mal:en'}, {u'lang': u'no', u'*': u'Mal:en'}, {u'lang': u'oc', u'*': u'Mod\xe8l:en'}, {u'lang': u'om', u'*': u'Template:en'}, {u'lang': u'pl', u'*': u'mara'}, {u'lang': u'ps', u'*': u'\u06a9\u064a\u0646\u0689\u06cd:en'}, {u'lang': u'pt', u'*': u'Predefini\xe7\xe3o:en'}, {u'lang': u'qu', u'*': u'Plantilla:en'}, {u'lang': u'ro', u'*': u'Format:en'}, {u'lang': u'roa-rup', u'*': u'Template:en'}, {u'lang': u'ru', u'*': u'\u0428\u0430\u0431\u043b\u043e\u043d:-en-'}, {u'lang': u'rw', u'*': u'Template:en'}, {u'lang': u'sa', u'*': u'\u092b\u0932\u0915\u092e\u094d:en'}, {u'lang': u'scn', u'*': u'Template:en'}, {u'lang': u'sd', u'*': u'\u0633\u0627\u0646\u0686\u0648:en'}, {u'lang': u'sg', u'*': u'Mod\xe8le:en'}, {u'lang': u'sh', u'*': u'\u0160ablon:en'}, {u'lang': u'si', u'*': u'\u0dc3\u0dd0\u0d9a\u0dd2\u0dbd\u0dca\u0dbd:en'}, {u'lang': u'sk', u'*': u'\u0160abl\xf3na:en'}, {u'lang': u'sl', u'*': u'Predloga:en'}, {u'lang': u'sm', u'*': u'Template:en'}, {u'lang': u'so', u'*': u'Template:en'}, {u'lang': u'sq', u'*': u'Stampa:en'}, {u'lang': u'sr', u'*': u'\u0428\u0430\u0431\u043b\u043e\u043d:en'}, {u'lang': u'su', u'*': u'Citakan:en'}, {u'lang': u'sv', u'*': u'Mall:en'}, {u'lang': u'sw', u'*': u'Kigezo:en'}, {u'lang': u'ta', u'*': u'\u0bb5\u0bbe\u0bb0\u0bcd\u0baa\u0bcd\u0baa\u0bc1\u0bb0\u0bc1:en'}, {u'lang': u'te', u'*': u'\u0c2e\u0c42\u0c38:en'}, {u'lang': u'tg', u'*': u'\u0428\u0430\u0431\u043b\u043e\u043d:en'}, {u'lang': u'th', u'*': u'\u0e41\u0e21\u0e48\u0e41\u0e1a\u0e1a:en'}, {u'lang': u'ti', u'*': u'Template:en'}, {u'lang': u'tk', u'*': u'\u015eablon:en'}, {u'lang': u'tl', u'*': u'Suleras:en'}, {u'lang': u'tn', u'*': u'Template:en'}, {u'lang': u'tpi', u'*': u'Template:en'}, {u'lang': u'tr', u'*': u'\u015eablon:en'}, {u'lang': u'ug', u'*': u'\u0642\u06d0\u0644\u0649\u067e:en'}, {u'lang': u'uk', u'*': u'\u0428\u0430\u0431\u043b\u043e\u043d:lang-en'}, {u'lang': u'ur', u'*': u'\u0633\u0627\u0646\u0686\u06c1:en'}, {u'lang': u'uz', u'*': u'Andoza:en'}, {u'lang': u'vo', u'*': u'Samafomot:en'}, {u'lang': u'wa', u'*': u'Modele:en'}, {u'lang': u'wo', u'*': u'Royuwaay:en'}, {u'lang': u'za', u'*': u'\u6a21\u677f:en'}, {u'lang': u'zh', u'*': u'Template:en'}, {u'lang': u'zu', u'*': u'Template:en'}], u'title': u'mara', u'length': 523, u'contentmodel': u'wikitext', u'pagelanguage': u'ay', u'touched': u'2015-08-04T21:44:26Z', u'ns': 0, u'revisions': [{u'comment': u'', u'*': u"{{-ay-}}\n{{-noun-}}\n'''mara'''\n\n{{-trans-}}\n:*{{scn}}: [[annu]]\n:*{{it}}: [[anno]]\n:*{{es}}: [[a\xf1o]]\n:*{{fr}}: [[ann\xe9e]], [[an]]\n:*{{en}}: [[year]]\n\n[[ar:mara]]\n[[az:mara]]\n[[ca:mara]]\n[[chr:mara]]\n[[el:mara]]\n[[en:mara]]\n[[es:mara]]\n[[et:mara]]\n[[fi:mara]]\n[[fj:mara]]\n[[fr:mara]]\n[[hu:mara]]\n[[id:mara]]\n[[is:mara]]\n[[ko:mara]]\n[[ku:mara]]\n[[la:mara]]\n[[li:mara]]\n[[lt:mara]]\n[[mg:mara]]\n[[mt:mara]]\n[[nl:mara]]\n[[pl:mara]]\n[[pt:mara]]\n[[ro:mara]]\n[[ru:mara]]\n[[sh:mara]]\n[[sk:mara]]\n[[sv:mara]]\n[[tr:mara]]\n[[zh:mara]]", u'timestamp': u'2015-08-04T21:43:01Z', u'contentformat': u'text/x-wiki', u'revid': 11005, u'contentmodel': u'wikitext', u'user': u'Sarvaturi', u'parentid': 10361}]}
2015-08-27 22:28:49            site.py, 1401 in       _get_general: DEBUG    general siteinfo not loaded yet.
2015-08-27 22:28:49            site.py, 1412 in       _get_general: DEBUG    Load siteinfo properties 'namespaces', 'namespacealiases' along with 'general'
2015-08-27 22:28:49             api.py, 2269 in        _load_cache: DEBUG    CachedRequest: cache hit (C:\Work\pywikipedia\apicache\b4327a3e897e94c0548d1815258eae7668469c535136aad779e79724c991663b) for API request: Site("bn", "wiktionary")LoginStatus(NOT_LOGGED_IN)[('action', 'query'), ('continue', ''), ('format', 'json'), ('maxlag', '35'), ('meta', 'siteinfo|userinfo'), ('siprop', 'namespaces|namespacealiases|general'), ('uiprop', 'blockinfo|hasmsg')]
2015-08-27 22:28:49            site.py,  613 in           __init__: VERBOSE  Site wiktionary:ik instantiated and marked "obsolete" to prevent access
2015-08-27 22:28:49        __init__.py,  617 in               Site: DEBUG    Instantiated APISite object 'wiktionary:ik'
2015-08-27 22:28:49            site.py, 1401 in       _get_general: DEBUG    general siteinfo not loaded yet.
2015-08-27 22:28:49            site.py, 1412 in       _get_general: DEBUG    Load siteinfo properties 'namespaces', 'namespacealiases' along with 'general'
2015-08-27 22:28:49       interwiki.py, 2155 in               dump: INFO     Dump pt (wiktionary) appended.
2015-08-27 22:28:50        __init__.py,  678 in             stopme: DEBUG    stopme() called
2015-08-27 22:28:50        __init__.py,  711 in             stopme: VERBOSE  Dropped throttle(s).
2015-08-27 22:28:50            http.py,   87 in             _flush: CRITICAL Closing network session.
2015-08-27 22:28:50            http.py,   91 in             _flush: VERBOSE  Network session closed.

[[ay:Template:en]] had an interwiki to 'ik'. Although templates are not being processed here, just because it retrieves templates at some point seems to require it to process their interwikis.